# Measurement Units (Core)

Endpoints to create, update and read measurement units.

## List measurement units

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read measurement units.","name":"Measurement Units (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"MeasurementUnits":{"properties":{"measurementUnits":{"items":{"$ref":"#/components/schemas/MeasurementUnit"},"type":"array"},"total":{"description":"Total number of found entities for this query","type":"integer"}},"type":"object","title":"MeasurementUnits","description":"MeasurementUnits"},"MeasurementUnit":{"additionalProperties":false,"allOf":[{"$ref":"#/components/schemas/MeasurementUnitForCreation"},{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"abbreviation":{"description":"Translated abbreviation of the measurement unit","type":"string"},"id":{"type":"string"},"name":{"description":"Translated name of the measurement unit","type":"string"}},"required":["id"],"type":"object","title":"MeasurementUnit","description":"MeasurementUnit"},"MeasurementUnitForCreation":{"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleString"},"abbreviationLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"Abbreviation of the unit. Maximum 4 chars long."},"key":{"description":"Descriptor for the measurement unit","type":"string"},"requiresMeasurement":{"description":"Indicates that the given unit need to be measured.","type":"boolean"}},"required":["nameLocalized","abbreviationLocalized","key"],"type":"object","title":"MeasurementUnitForCreation","description":"MeasurementUnitForCreation"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/measurementunits":{"get":{"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","operationId":"getAllMeasurementUnits","parameters":[{"description":"all entities after given Id","in":"query","name":"startAfterId","required":false,"schema":{"type":"string"}},{"description":"number of measurementUnits to show","in":"query","name":"size","required":false,"schema":{"default":25,"type":"integer"}},{"description":"key of the measurementUnit","in":"query","name":"key","required":false,"schema":{"type":"string"}},{"description":"Provide the localized names for the measurementUnit. If not provided the default locale is used., for example de_DE.","in":"query","name":"locale","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MeasurementUnits"}}},"description":"The found measurementUnit."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Entity not found"}},"summary":"List measurement units","tags":["Measurement Units (Core)"]}}}}
```

## Create measurement unit

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read measurement units.","name":"Measurement Units (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"MeasurementUnitForCreation":{"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleString"},"abbreviationLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"Abbreviation of the unit. Maximum 4 chars long."},"key":{"description":"Descriptor for the measurement unit","type":"string"},"requiresMeasurement":{"description":"Indicates that the given unit need to be measured.","type":"boolean"}},"required":["nameLocalized","abbreviationLocalized","key"],"type":"object","title":"MeasurementUnitForCreation","description":"MeasurementUnitForCreation"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"MeasurementUnit":{"additionalProperties":false,"allOf":[{"$ref":"#/components/schemas/MeasurementUnitForCreation"},{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"abbreviation":{"description":"Translated abbreviation of the measurement unit","type":"string"},"id":{"type":"string"},"name":{"description":"Translated name of the measurement unit","type":"string"}},"required":["id"],"type":"object","title":"MeasurementUnit","description":"MeasurementUnit"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/measurementunits":{"post":{"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","operationId":"createMeasurementUnit","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MeasurementUnitForCreation"}}}},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MeasurementUnit"}}},"description":"Successfully created the measurementUnit."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Entity not found"}},"summary":"Create measurement unit","tags":["Measurement Units (Core)"]}}}}
```

## Get measurement unit

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read measurement units.","name":"Measurement Units (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"MeasurementUnit":{"additionalProperties":false,"allOf":[{"$ref":"#/components/schemas/MeasurementUnitForCreation"},{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"abbreviation":{"description":"Translated abbreviation of the measurement unit","type":"string"},"id":{"type":"string"},"name":{"description":"Translated name of the measurement unit","type":"string"}},"required":["id"],"type":"object","title":"MeasurementUnit","description":"MeasurementUnit"},"MeasurementUnitForCreation":{"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleString"},"abbreviationLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"Abbreviation of the unit. Maximum 4 chars long."},"key":{"description":"Descriptor for the measurement unit","type":"string"},"requiresMeasurement":{"description":"Indicates that the given unit need to be measured.","type":"boolean"}},"required":["nameLocalized","abbreviationLocalized","key"],"type":"object","title":"MeasurementUnitForCreation","description":"MeasurementUnitForCreation"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/measurementunits/{measurementUnitId}":{"get":{"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","operationId":"getMeasurementUnitByID","parameters":[{"in":"path","name":"measurementUnitId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MeasurementUnit"}}},"description":"The found measurementUnit."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Entity not found"}},"summary":"Get measurement unit","tags":["Measurement Units (Core)"]}}}}
```

## Update measurement unit

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read measurement units.","name":"Measurement Units (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"MeasurementUnitForCreation":{"properties":{"nameLocalized":{"$ref":"#/components/schemas/LocaleString"},"abbreviationLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"Abbreviation of the unit. Maximum 4 chars long."},"key":{"description":"Descriptor for the measurement unit","type":"string"},"requiresMeasurement":{"description":"Indicates that the given unit need to be measured.","type":"boolean"}},"required":["nameLocalized","abbreviationLocalized","key"],"type":"object","title":"MeasurementUnitForCreation","description":"MeasurementUnitForCreation"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"MeasurementUnit":{"additionalProperties":false,"allOf":[{"$ref":"#/components/schemas/MeasurementUnitForCreation"},{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"abbreviation":{"description":"Translated abbreviation of the measurement unit","type":"string"},"id":{"type":"string"},"name":{"description":"Translated name of the measurement unit","type":"string"}},"required":["id"],"type":"object","title":"MeasurementUnit","description":"MeasurementUnit"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/measurementunits/{measurementUnitId}":{"put":{"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","operationId":"updateMeasurementUnit","parameters":[{"in":"path","name":"measurementUnitId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MeasurementUnitForCreation"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MeasurementUnit"}}},"description":"Successfully updated the measurementUnit."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Entity not found"}},"summary":"Update measurement unit","tags":["Measurement Units (Core)"]}}}}
```

## Delete measurement unit

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create, update and read measurement units.","name":"Measurement Units (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/measurementunits/{measurementUnitId}":{"delete":{"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","operationId":"deleteMeasurementUnit","parameters":[{"in":"path","name":"measurementUnitId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successfully deleted the measurementUnit."},"401":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Entity not found"}},"summary":"Delete measurement unit","tags":["Measurement Units (Core)"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fulfillmenttools.com/documentation/apis/api-reference/measurement-units-core.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
